<?php
?>
<!doctype html>
<html lang="pl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Z112 - Ile dni do daty</title>
    <link rel="stylesheet" href="style.css">
</head>
<body>
<header>
    <h1>Zadanie Z112</h1>
    <h2>Autor: Jakub Grzegorczyk</h2>
</header>
<div class="box">
    <p>Napisz program, który dla podanej daty wypisuje ile dni dzieli dzisiejszy dzień i tą datę. W przypadku daty z przeszłości podaje wartość z minusem.</p>
</div>
<div class="box">
    <form action="index.php" method="post">
        <fieldset>
            <label for="data">Podaj datę:</label>
            <input type="date" name="data" id="data">
        </fieldset>
        <button type="submit">Wyślij</button>
    </form>
</div>
<?php
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
        $data = htmlspecialchars($_POST['data']);
        echo '<div class="box">';
        echo "Wybrana data: $data <br>";
        echo "Dzisiejsza data: " . date('Y-m-d') . "<br>";
        echo "Ile dni: " . (strtotime($data) - strtotime('today')) / 86400;
        echo '</div>';
    }
?>
</body>
</html>
